From 6bd01d0869a861915656b3af440a98ea98cfca37 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Sun, 30 Nov 2008 22:55:11 -0500
Subject: [PATCH] rpm: Include isaname support for arm.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 rpm-4.6.0-arm-isaname.patch |   13 +++++++++++++
 rpm.spec                    |    2 ++
 2 files changed, 15 insertions(+), 0 deletions(-)
 create mode 100644 rpm-4.6.0-arm-isaname.patch

diff --git a/rpm-4.6.0-arm-isaname.patch b/rpm-4.6.0-arm-isaname.patch
new file mode 100644
index 0000000..1d0ee9d
--- /dev/null
+++ b/rpm-4.6.0-arm-isaname.patch
@@ -0,0 +1,13 @@
+--- rpm-4.6.0-rc1.orig/installplatform	2008-11-30 19:55:59.000000000 -0500
++++ rpm-4.6.0-rc1/installplatform	2008-12-08 18:03:03.000000000 -0500
+@@ -110,6 +110,10 @@ for SUBST in $SUBSTS ; do
+ 	ISANAME=ia
+ 	ISABITS=64
+ 	;;
++    arm*)
++	ISANAME=`echo ${ARCH} | sed "s/\([^-]*\)-.*/\1/"`
++	ISABITS=32
++	;;
+   esac
+ 
+   if [ -n "$MULTILIBNO" ]; then
diff --git a/rpm.spec b/rpm.spec
index eef2967..80736f5 100644
--- a/rpm.spec
+++ b/rpm.spec
@@ -43,6 +43,7 @@ Patch205: rpm-4.6.0-rc1-file-debuginfo.patch
 # These are not yet upstream
 Patch300: rpm-4.5.90-posttrans.patch
 Patch400: rpm-4.6.0-always-mlock.diff
+Patch401: rpm-4.6.0-arm-isaname.patch
 
 # Partially GPL/LGPL dual-licensed and some bits with BSD
 # SourceLicense: (GPLv2+ and LGPLv2+ with exceptions) and BSD 
@@ -180,6 +181,7 @@ that will manipulate RPM packages and databases.
 %patch204 -p1 -b .fp-hash
 %patch205 -p1 -b .file-debuginfo
 %patch400 -p1 -b .always-mlock
+%patch401 -p1 -b .arm-isaname
 # needs a bit of upstream love first...
 #%patch300 -p1 -b .posttrans
 
-- 
1.5.3.3

